org.apache.ignite.internal.management.api

## Interface BeforeNodeStartCommand<A extends IgniteDataTransferObject,R>

All Superinterfaces:
  Command<A,R>

All Known Implementing Classes:
  WarmUpStopCommand

    public interface BeforeNodeStartCommand<A extends IgniteDataTransferObject,R>
    extends Command<A,R>

Command that must be executed directly using `GridClientBeforeNodeStart` instance.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `execute(GridClientBeforeNodeStart cli, A arg, Consumer<String> printer)`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`argClass, confirmationPrompt, deprecationMessage, description`

### Method Detail

#### execute

    R execute(GridClientBeforeNodeStart cli,
              A arg,
              Consumer<String> printer)
       throws Exception

Parameters:
  `cli` - Grid client instance.
  `arg` - Command argument.
  `printer` - Results printer.
Returns:
  Command result.
Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023